import { ApiCall } from "tsrpc";
import { ReqOpen, ResOpen } from "../../../shared/protocols/event/shouchong/PtlOpen";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let data = await G.mongodb.cEvent('shouchong').findOne({ uid: call.uid, type: 'shouchong' });

    call.succ({
        payNum: call.conn.gud.payExp / 10,
        receive: Object.fromEntries(Object.keys(G.gc.shouchong).map(k => [k, data?.receive?.[k] || []]))
    });
}