import {ApiCall} from "tsrpc";
import {EmailFun} from '../../public/email';
import {ReqOpen, ResOpen} from "../../shared/protocols/email/PtlOpen";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let list = await EmailFun.getAllEmail(call.uid, false);
    let obj: ResOpen = {};
    list.forEach(e => obj[e._id] = e);
    call.succ(obj);

    // 存入当前玩家多语言信息
    G.redis.rawSet(`user:lng:${call.uid}`, call.req.lng, {EX: 259200})
}